Package: groovy.org.codenarc.rule.grails

## [Groovy] Class GrailsDomainReservedSqlKeywordNameRule

- groovy.org.codenarc.rule.grails.GrailsDomainReservedSqlKeywordNameRule

- Forbids usage of SQL reserved keywords as class or field names in Grails domain classes. Naming a domain class (or its field) with such a keyword causes SQL schema creation errors and/or redundant table/column name mappings.
  Note: due to limited type information available during CodeNarc's operation, this rule will report fields of type Serializable, but not of its implementations. Please specify any implementations used as domain properties in `#additionalHibernateBasicTypes`.

  Authors:
    Artur Gajowy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `additionalHibernateBasicTypes`
    `String` | `additionalReservedSqlKeywords`
    `String` | `applyToFilesMatching`
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `AstVisitor` | `getAstVisitor()`

- - ### Property Detail

    - #### String additionalHibernateBasicTypes

    - #### String additionalReservedSqlKeywords

    - #### String applyToFilesMatching

    - #### Class astVisitorClass

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override AstVisitor getAstVisitor()